# This is a BitKeeper generated diff -Nru style patch.
#
# ChangeSet
#   2004/03/26 19:30:42-05:00 len.brown@intel.com 
#   [ACPI] Linux specific updates from ACPICA 20040326
#   "acpi_wake_gpes_always_on" boot flag for old GPE behaviour
# 
# drivers/acpi/osl.c
#   2004/03/26 19:27:44-05:00 len.brown@intel.com +21 -0
#   add "acpi_wake_gpes_always_on" flag
# 
# drivers/acpi/ec.c
#   2004/03/26 19:27:43-05:00 len.brown@intel.com +2 -2
#   fix build error resulting from ACPICA update
# 
diff -Nru a/drivers/acpi/ec.c b/drivers/acpi/ec.c
--- a/drivers/acpi/ec.c	Fri Mar 26 19:30:44 2004
+++ b/drivers/acpi/ec.c	Fri Mar 26 19:30:44 2004
@@ -715,7 +715,7 @@
 	 * Install GPE handler
 	 */
 	status = acpi_install_gpe_handler(NULL, ec->gpe_bit,
-		ACPI_EVENT_EDGE_TRIGGERED, &acpi_ec_gpe_handler, ec);
+		ACPI_GPE_EDGE_TRIGGERED, &acpi_ec_gpe_handler, ec);
 	if (ACPI_FAILURE(status)) {
 		return_VALUE(-ENODEV);
 	}
@@ -799,7 +799,7 @@
 	 * Install GPE handler
 	 */
 	status = acpi_install_gpe_handler(NULL, ec_ecdt->gpe_bit,
-		ACPI_EVENT_EDGE_TRIGGERED, &acpi_ec_gpe_handler,
+		ACPI_GPE_EDGE_TRIGGERED, &acpi_ec_gpe_handler,
 		ec_ecdt);
 	if (ACPI_FAILURE(status)) {
 		goto error;
diff -Nru a/drivers/acpi/osl.c b/drivers/acpi/osl.c
--- a/drivers/acpi/osl.c	Fri Mar 26 19:30:44 2004
+++ b/drivers/acpi/osl.c	Fri Mar 26 19:30:44 2004
@@ -1057,3 +1057,24 @@
 
 __setup("acpi_serialize", acpi_serialize_setup);
 
+/*
+ * Wake and Run-Time GPES are expected to be separate.
+ * We disable wake-GPEs at run-time to prevent spurious
+ * interrupts.
+ *
+ * However, if a system exists that shares Wake and
+ * Run-time events on the same GPE this flag is available
+ * to tell Linux to keep the wake-time GPEs enabled at run-time.
+ */
+int __init
+acpi_wake_gpes_always_on_setup(char *str)
+{
+	printk(KERN_INFO PREFIX "wake GPEs not disabled\n");
+
+	acpi_gbl_leave_wake_gpes_disabled = FALSE;
+
+	return 1;
+}
+
+__setup("acpi_wake_gpes_always_on", acpi_wake_gpes_always_on_setup);
+
